# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ohos-sys-opaque-types"
version = "0.1.10"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Internal helper cratefor opaque type bindings that are used in multiple ohos-sys crates"
readme = "README.md"
keywords = [
    "OpenHarmony",
    "HarmonyOS",
]
license = "Apache-2.0"
repository = "https://github.com/openharmony-rs/ohos-sys"

[lib]
name = "ohos_sys_opaque_types"
path = "src/lib.rs"

[[test]]
name = "link_smoke"
path = "tests/link_smoke.rs"

[dependencies]
